import * as mongoose from "mongoose";

import Repository from "../../repository";
import TodoDocument from "../data/todo-document";
import ITodo from "../../../shared/todo-dto";

class TodoRepository extends Repository<ITodo> {
  constructor(documentModel:mongoose.Model<ITodo & mongoose.Document>) {
    super(documentModel);
  }

  // Place to put methods specific to the Todo-Repository
}

const todoRepository = new TodoRepository(TodoDocument);

export default todoRepository;